package com.gh.gamecenter.setting.view

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.utils.updateStatusBarColor
import com.gh.gamecenter.setting.R

class LanguageSettingActivity : ToolBarActivity() {

    companion object {
        @JvmStatic
        fun getIntent(context: Context): Intent {
            return getTargetIntent(
                context,
                LanguageSettingActivity::class.java,
                LanguageSettingFragment::class.java,
            )
        }
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setNavigationTitle(R.string.language)
        updateStatusBarColor(com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface)
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface)
    }
}